%define drakxtools_required_version  10.4.90-1mdv2007.0
%define drakxtools_conflicted_version  10.4.89

Summary:  3D desktop effects tools
Name:     drak3d
Version:  2.5
Release:  %mkrel 1
Source0:  http://gitweb.mageia.org/software/drak3d/snapshot/%{name}-%{version}.tar.xz
License:  GPLv2+
Group:    System/Configuration
URL:      http://www.mageia.org

BuildRequires: perl_checker
BuildRequires: gettext 
BuildRequires: intltool

Requires: drakxtools-backend => %drakxtools_required_version
# we need the common pam usermode config files
Requires: usermode-consoleonly >= 1.92-4mdv2008.0
Requires: glxinfo

# for program:
Conflicts: drakxtools <= %drakxtools_conflicted_version
# for man pages:
Conflicts: drakxtools-curses <= %drakxtools_conflicted_version
BuildArch: noarch

%description
Drak3d enables to configure 3D desktop effects.

%package -n lib%{name}
Summary: 3D desktop effects tools library
Group: System/Configuration
Requires: drakxtools-backend >= %drakxtools_required_version

%description -n lib%{name}
This package contains the %{_vendor} drak3d library.

%prep
%autosetup

%build
%make_build

%install
%make_install

%find_lang %{name}

%files -n lib%{name}
%{_prefix}/lib/libDrakX/Xconfig/glx.pm

%files -f %{name}.lang
%doc COPYING
%{_bindir}/drak3d
%{_libexecdir}/drak3d
%{_datadir}/polkit-1/actions/org.mageia.drak3d.policy
%{_prefix}/lib/libDrakX/icons/*


%changelog
* Mon Mar 13 2017 akien <akien> 2.5-1.mga6
+ Revision: 1092398
- Version 2.5

* Sun Sep 18 2016 tv <tv> 2.4-2.mga6
+ Revision: 1053603
- BR perl-MDK-Common-devel -> perl_checker

* Fri Mar 25 2016 ennael <ennael> 2.4-1.mga6
+ Revision: 995269
- New design (Animtim)

* Tue Feb 09 2016 umeabot <umeabot> 2.3-3.mga6
+ Revision: 952717
- Mageia 6 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 2.3-2.mga6
+ Revision: 930508
- Mageia 6 Mass Rebuild

* Mon May 18 2015 tv <tv> 2.3-1.mga5
+ Revision: 822247
- translations updates

* Fri Jan 02 2015 tv <tv> 2.2-1.mga5
+ Revision: 808075
- translations updates

* Wed Oct 15 2014 umeabot <umeabot> 2.1-4.mga5
+ Revision: 751126
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1-3.mga5
+ Revision: 678831
- Mageia 5 Mass Rebuild

* Sun Jan 26 2014 colin <colin> 2.1-2.mga4
+ Revision: 568247
- Drop the wmsession. It doesn't seem to work these days mga#12338

* Sat Jan 25 2014 colin <colin> 2.1-1.mga4
+ Revision: 568172
- Avoid double fork problems mga#11184 mga#12364

* Mon Jan 06 2014 tv <tv> 2.0-4.mga4
+ Revision: 565161
- split perl modules (debloat, mga#8455)

* Mon Dec 16 2013 luigiwalser <luigiwalser> 2.0-3.mga4
+ Revision: 557930
- revert previous change which broke startx

* Wed Dec 11 2013 neoclust <neoclust> 2.0-2.mga4
+ Revision: 556380
- Try to fix lightdm issue by renaming wmsession.d file

* Thu Nov 28 2013 tv <tv> 2.0-1.mga4
+ Revision: 553962
- switch to gtk3
- updated translations

* Sun Nov 17 2013 colin <colin> 1.35-1.mga4
+ Revision: 551661
- New version: 1.35

* Tue Oct 22 2013 umeabot <umeabot> 1.34-2.mga4
+ Revision: 541562
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 colin <colin> 1.34-1.mga4
+ Revision: 496202
- New version: 1.34

* Mon Oct 07 2013 colin <colin> 1.33-1.mga4
+ Revision: 492479
- New version: 1.33
  o Convert to polkit for authorisation

* Sat Apr 27 2013 ennael <ennael> 1.32-4.mga3
+ Revision: 411458
- add glxinfo require (#9879)

* Wed Jan 23 2013 fwang <fwang> 1.32-3.mga3
+ Revision: 391242
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 1.32-2.mga3
+ Revision: 349083
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 12 2012 julien <julien> 1.32-1.mga2
+ Revision: 208018
- new version 1.32  which fix broken translation (thanks to Jarom?\195?\173r C?\195?\161p?\195?\173k)

* Sun Feb 05 2012 julien <julien> 1.31-1.mga2
+ Revision: 204724
- update to version 1.31 (fix for compiz-fusion, hide metisse)
- clean specfile a bit

* Mon Feb 07 2011 dmorgan <dmorgan> 1.30-1.mga1
+ Revision: 48814
- New version
  Adapt for mageia

  + ennael <ennael>
    - imported package drak3d

